# ModifierRewardPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class ModifierRewardPhase

#### Hierarchy (View Summary)

- BattlePhase
  - ModifierRewardPhase
    - GameOverModifierRewardPhase
    - RibbonModifierRewardPhase

- Defined in src/phases/modifier-reward-phase.ts:7

##### Index

### Constructors

constructor

### Properties

modifierType

### Methods

doReward
end
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new ModifierRewardPhase(modifierTypeFunc: ModifierTypeFunc ): ModifierRewardPhase

  #### Parameters

  - modifierTypeFunc: ModifierTypeFunc

  #### Returns ModifierRewardPhase

  Overrides BattlePhase.constructor

  - Defined in src/phases/modifier-reward-phase.ts:10

## Properties

### `Protected` modifierType

modifierType: ModifierType

- Defined in src/phases/modifier-reward-phase.ts:8

## Methods

### doReward

- doReward(): Promise<void>

  #### Returns Promise<void>

  - Defined in src/phases/modifier-reward-phase.ts:22

### end

- end(): void

  #### Returns void

  Inherited from BattlePhase.end

  - Defined in src/phase.ts:6

### hideEnemyTrainer

- hideEnemyTrainer(): void

  #### Returns void

  Inherited from BattlePhase.hideEnemyTrainer

  - Defined in src/phases/battle-phase.ts:37

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?: TrainerSlot ): void

  #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from BattlePhase.showEnemyTrainer

  - Defined in src/phases/battle-phase.ts:10

### start

- start(): void

  #### Returns void

  Overrides BattlePhase.start

  - Defined in src/phases/modifier-reward-phase.ts:16